Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/tests/usr.bin Trailing whitespace
details: https://anonhg.NetBSD.org/src/rev/3d106ea09b97
branches: trunk
changeset: 366617:3d106ea09b97
user: skrll <skrll%NetBSD.org@localhost>
date: Thu Jun 02 07:31:35 2022 +0000
description:
Trailing whitespace
diffstat:
tests/usr.bin/c++/t_fuzzer_oom.sh | 4 ++--
tests/usr.bin/c++/t_fuzzer_simple.sh | 4 ++--
tests/usr.bin/c++/t_fuzzer_timeout.sh | 4 ++--
tests/usr.bin/c++/t_msan_allocated_memory.sh | 4 ++--
tests/usr.bin/c++/t_msan_check_mem.sh | 4 ++--
tests/usr.bin/c++/t_msan_free.sh | 4 ++--
tests/usr.bin/c++/t_msan_heap.sh | 4 ++--
tests/usr.bin/c++/t_msan_partial_poison.sh | 4 ++--
tests/usr.bin/c++/t_msan_poison.sh | 4 ++--
tests/usr.bin/c++/t_msan_realloc.sh | 4 ++--
tests/usr.bin/c++/t_msan_shadow.sh | 4 ++--
tests/usr.bin/c++/t_msan_stack.sh | 4 ++--
tests/usr.bin/c++/t_msan_unpoison.sh | 4 ++--
tests/usr.bin/c++/t_tsan_data_race.sh | 4 ++--
tests/usr.bin/c++/t_tsan_heap_use_after_free.sh | 4 ++--
tests/usr.bin/c++/t_tsan_lock_order_inversion.sh | 4 ++--
tests/usr.bin/c++/t_tsan_locked_mutex_destroy.sh | 4 ++--
tests/usr.bin/c++/t_tsan_signal_errno.sh | 4 ++--
tests/usr.bin/c++/t_tsan_thread_leak.sh | 4 ++--
tests/usr.bin/c++/t_tsan_vptr_race.sh | 4 ++--
tests/usr.bin/cc/t_fuzzer_oom.sh | 4 ++--
tests/usr.bin/cc/t_fuzzer_simple.sh | 4 ++--
tests/usr.bin/cc/t_fuzzer_timeout.sh | 4 ++--
tests/usr.bin/cc/t_msan_allocated_memory.sh | 4 ++--
tests/usr.bin/cc/t_msan_check_mem.sh | 6 +++---
tests/usr.bin/cc/t_msan_free.sh | 4 ++--
tests/usr.bin/cc/t_msan_heap.sh | 8 ++++----
tests/usr.bin/cc/t_msan_partial_poison.sh | 6 +++---
tests/usr.bin/cc/t_msan_poison.sh | 8 ++++----
tests/usr.bin/cc/t_msan_realloc.sh | 6 +++---
tests/usr.bin/cc/t_msan_shadow.sh | 6 +++---
tests/usr.bin/cc/t_msan_stack.sh | 6 +++---
tests/usr.bin/cc/t_msan_unpoison.sh | 4 ++--
tests/usr.bin/cc/t_tsan_data_race.sh | 4 ++--
tests/usr.bin/cc/t_tsan_heap_use_after_free.sh | 4 ++--
tests/usr.bin/cc/t_tsan_lock_order_inversion.sh | 4 ++--
tests/usr.bin/cc/t_tsan_locked_mutex_destroy.sh | 4 ++--
tests/usr.bin/cc/t_tsan_signal_errno.sh | 4 ++--
tests/usr.bin/cc/t_tsan_thread_leak.sh | 4 ++--
39 files changed, 87 insertions(+), 87 deletions(-)
diffs (truncated from 666 to 300 lines):
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_fuzzer_oom.sh
--- a/tests/usr.bin/c++/t_fuzzer_oom.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_fuzzer_oom.sh Thu Jun 02 07:31:35 2022 +0000
@@ -124,9 +124,9 @@
atf_check -s ignore -o ignore -e match:"ERROR: libFuzzer: out-of-memory" ./test -rss_limit_mb=30
}
oom_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_fuzzer_simple.sh
--- a/tests/usr.bin/c++/t_fuzzer_simple.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_fuzzer_simple.sh Thu Jun 02 07:31:35 2022 +0000
@@ -136,9 +136,9 @@
atf_check -s ignore -o ignore -e match:"BINGO" ./test
}
simple_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_fuzzer_timeout.sh
--- a/tests/usr.bin/c++/t_fuzzer_timeout.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_fuzzer_timeout.sh Thu Jun 02 07:31:35 2022 +0000
@@ -121,9 +121,9 @@
atf_check -s ignore -o ignore -e match:"ERROR: libFuzzer: timeout" ./test -timeout=5
}
timeout_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_allocated_memory.sh
--- a/tests/usr.bin/c++/t_msan_allocated_memory.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_allocated_memory.sh Thu Jun 02 07:31:35 2022 +0000
@@ -122,9 +122,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: MemorySanitizer: use-of-uninitialized-value" ./test
}
allocated_memory_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_check_mem.sh
--- a/tests/usr.bin/c++/t_msan_check_mem.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_check_mem.sh Thu Jun 02 07:31:35 2022 +0000
@@ -125,9 +125,9 @@
atf_check -s ignore -o ignore -e match:"Uninitialized bytes in __msan_check_mem_is_initialized at offset 0 inside" ./test
}
check_mem_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_free.sh
--- a/tests/usr.bin/c++/t_msan_free.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_free.sh Thu Jun 02 07:31:35 2022 +0000
@@ -119,9 +119,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: MemorySanitizer: use-of-uninitialized-value" ./test
}
free_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_heap.sh
--- a/tests/usr.bin/c++/t_msan_heap.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_heap.sh Thu Jun 02 07:31:35 2022 +0000
@@ -104,9 +104,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: MemorySanitizer: use-of-uninitialized-value" ./test
}
heap_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_partial_poison.sh
--- a/tests/usr.bin/c++/t_msan_partial_poison.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_partial_poison.sh Thu Jun 02 07:31:35 2022 +0000
@@ -128,9 +128,9 @@
atf_check -s ignore -o ignore -e match:": 77654321" ./test
}
partial_poison_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_poison.sh
--- a/tests/usr.bin/c++/t_msan_poison.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_poison.sh Thu Jun 02 07:31:35 2022 +0000
@@ -125,9 +125,9 @@
atf_check -s ignore -o ignore -e match:"Uninitialized bytes in __msan_check_mem_is_initialized at offset 5 inside" ./test
}
poison_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_realloc.sh
--- a/tests/usr.bin/c++/t_msan_realloc.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_realloc.sh Thu Jun 02 07:31:35 2022 +0000
@@ -122,9 +122,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: MemorySanitizer: use-of-uninitialized-value" ./test
}
realloc_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_shadow.sh
--- a/tests/usr.bin/c++/t_msan_shadow.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_shadow.sh Thu Jun 02 07:31:35 2022 +0000
@@ -137,9 +137,9 @@
atf_check -s ignore -o match:"2" -e match:"00000000 ff000000" ./test
}
shadow_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_stack.sh
--- a/tests/usr.bin/c++/t_msan_stack.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_stack.sh Thu Jun 02 07:31:35 2022 +0000
@@ -119,9 +119,9 @@
atf_check -s ignore -o ignore -e match:"MemorySanitizer: bad pointer" ./test
}
stack_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_msan_unpoison.sh
--- a/tests/usr.bin/c++/t_msan_unpoison.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_msan_unpoison.sh Thu Jun 02 07:31:35 2022 +0000
@@ -137,9 +137,9 @@
atf_check -s ignore -o ignore -e not-match:"WARNING: MemorySanitizer: use-of-uninitialized-value" ./test
}
unpoison_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_tsan_data_race.sh
--- a/tests/usr.bin/c++/t_tsan_data_race.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_tsan_data_race.sh Thu Jun 02 07:31:35 2022 +0000
@@ -131,9 +131,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: ThreadSanitizer: data race " ./test
}
data_race_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_tsan_heap_use_after_free.sh
--- a/tests/usr.bin/c++/t_tsan_heap_use_after_free.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_tsan_heap_use_after_free.sh Thu Jun 02 07:31:35 2022 +0000
@@ -175,9 +175,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: ThreadSanitizer: heap-use-after-free" ./test
}
heap_use_after_free_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_tsan_lock_order_inversion.sh
--- a/tests/usr.bin/c++/t_tsan_lock_order_inversion.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_tsan_lock_order_inversion.sh Thu Jun 02 07:31:35 2022 +0000
@@ -147,9 +147,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: ThreadSanitizer: lock-order-inversion" ./test
}
lock_order_inversion_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_tsan_locked_mutex_destroy.sh
--- a/tests/usr.bin/c++/t_tsan_locked_mutex_destroy.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_tsan_locked_mutex_destroy.sh Thu Jun 02 07:31:35 2022 +0000
@@ -159,9 +159,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: ThreadSanitizer: destroy of a locked mutex" ./test
}
locked_mutex_destroy_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_tsan_signal_errno.sh
--- a/tests/usr.bin/c++/t_tsan_signal_errno.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_tsan_signal_errno.sh Thu Jun 02 07:31:35 2022 +0000
@@ -149,9 +149,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: ThreadSanitizer: signal handler spoils errno" ./test
}
signal_errno_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_tsan_thread_leak.sh
--- a/tests/usr.bin/c++/t_tsan_thread_leak.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_tsan_thread_leak.sh Thu Jun 02 07:31:35 2022 +0000
@@ -149,9 +149,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: ThreadSanitizer: thread leak" ./test
}
thread_leak_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
diff -r b36c6897c1ac -r 3d106ea09b97 tests/usr.bin/c++/t_tsan_vptr_race.sh
--- a/tests/usr.bin/c++/t_tsan_vptr_race.sh Thu Jun 02 06:51:48 2022 +0000
+++ b/tests/usr.bin/c++/t_tsan_vptr_race.sh Thu Jun 02 07:31:35 2022 +0000
@@ -168,9 +168,9 @@
atf_check -s ignore -o ignore -e match:"WARNING: ThreadSanitizer: data race on vptr \(ctor/dtor vs virtual call\)" ./test
}
vptr_race_pie_body(){
-
+
#check whether -pie flag is supported on this architecture
- if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
+ if ! c++ -pie -dM -E - < /dev/null 2>/dev/null >/dev/null; then
atf_set_skip "c++ -pie not supported on this architecture"
fi
cat > test.cc << EOF
Home |
Main Index |
Thread Index |
Old Index